%global _hardened_build 1
%global beta    beta15

Name:           hddtemp
Version:        0.3
Release:        0.26.%{beta}%{?dist}
Summary:        Hard disk temperature tool

License:        GPLv2+
URL:            http://savannah.nongnu.org/projects/hddtemp/
Source0:        http://download.savannah.nongnu.org/releases/hddtemp/%{name}-%{version}-%{beta}.tar.bz2
Source1:        http://download.savannah.nongnu.org/releases/hddtemp/hddtemp.db
Source2:        %{name}.service
Source3:        %{name}.sysconfig
Source4:        %{name}.pam
Source5:        %{name}.consoleapp
Patch0:         %{name}-db.patch
Patch1:         http://ftp.debian.org/debian/pool/main/h/hddtemp/hddtemp_0.3-beta15-52.diff.gz
# https://bugzilla.redhat.com/show_bug.cgi?id=717479
# https://bugzilla.redhat.com/show_bug.cgi?id=710055
Patch2:         %{name}-0.3-beta15-autodetect-717479.patch

BuildRequires:  gettext
BuildRequires:  systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires:       %{_bindir}/consolehelper

%description
hddtemp is a tool that gives you the temperature of your hard drive by
reading S.M.A.R.T. information.


%prep
%setup -q -n %{name}-%{version}-%{beta}
cp -p %{SOURCE1} ./hddtemp.db
%patch0 -p0
%patch1 -p1
%patch2 -p1
sed -i -e 's|/etc/hddtemp.db|/usr/share/misc/hddtemp.db|' doc/hddtemp.8
chmod -x contribs/analyze/*
rm COPYING ; cp -p GPL-2 COPYING
cp -p debian/changelog changelog.debian


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 hddtemp.db $RPM_BUILD_ROOT/usr/share/misc/hddtemp.db
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}/hddtemp.service
install -Dpm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/hddtemp
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/hddtemp
install -Dpm 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/hddtemp
install -Dpm 644 %{SOURCE5} \
    $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/hddtemp
%find_lang %{name}


%post
[ $1 -eq 1 ] && systemctl daemon-reload &>/dev/null || :

%preun
if [ $1 -eq 0 ] ; then
    systemctl --no-reload disable hddtemp.service &>/dev/null
    systemctl stop hddtemp.service &>/dev/null || :
fi

%postun
systemctl daemon-reload &>/dev/null
[ $1 -gt 0 ] && systemctl try-restart hddtemp.service &>/dev/null || :


%files -f %{name}.lang
%doc ChangeLog changelog.debian COPYING README TODO contribs/
%config(noreplace) %{_sysconfdir}/sysconfig/hddtemp
%config(noreplace) %{_sysconfdir}/pam.d/hddtemp
%config(noreplace) %{_sysconfdir}/security/console.apps/hddtemp
%{_unitdir}/hddtemp.service
%{_bindir}/hddtemp
%{_sbindir}/hddtemp
%config(noreplace) /usr/share/misc/hddtemp.db
%{_mandir}/man8/hddtemp.8*


%changelog
* Fri Jan 25 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.26.beta15
- Drop obsolete After=syslog.target from systemd unit, add Documentation.
- Drop obsolete sysv to systemd migration scriptlets.
- Drop obsolete specfile constructs.
- Update Debian patch set to 0.3-beta15-52.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.25.beta15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.23.beta15
- Build with hardening flags on.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.23.beta15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 18 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.22.beta15
- Migrate to systemd, patch to glob usual device names w/o arguments (#717479).
- Update Debian patch set to 0.3-beta15-48, ship its changelog in docs.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.21.beta15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 14 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.20.beta15
- Patch to fix ix86 build if sys/ucontext.h is pulled in by signal.h (#564857).

* Thu Aug 20 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.19.beta15
- Try to start daemon for all disks if none are specified in sysconfig.
- Update URLs.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.18.beta15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.17.beta15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct  1 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.16.beta15
- Sync with Debian's 0.3-beta15-45 for a fix for undesired spin-ups with
  most current drives (#464912).

* Sat Feb  9 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.15.beta15
- Sync with Debian's 0.3-beta15-38.
- Update drive database to 2007-09-14.
- Trim pre-2006 changelog entries.

* Wed Sep  5 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.14.beta15
- Adjust server chkconfig start/stop priorities to start before gkrellmd,
  other cosmetic init script tweaks.
- Mark hddtemp.db as %%config(noreplace).

* Mon Aug  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.13.beta15
- License: GPLv2+

* Tue Jul 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.12.beta15
- Improve init script LSB compliance.

* Tue Jan  9 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.11.beta15
- SATA sense fix (#221100, Jens Axboe).

* Sun Dec 31 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.10.beta15
- Apply patches from Debian containing bunch of hddtemp.db updates and
  guess mode improvements for drives not in the database.

* Wed Aug 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.9.beta15
- Rebuild.

* Wed May  3 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.8.beta15
- 0.3-beta15, drive database 2006-04-26.
- Specfile cleanups.

* Wed Feb  8 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.8.beta14
- Update drive database to 2006-02-07.

* Wed Jan 18 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.3-0.7.beta14
- Update drive database to 2006-01-18.
- Init script is not a config file.
- Mark console.perms snippet as noreplace.
